GNU bug report logs - #52061
29.0.50; gnus seems to ignore gnus-parameter-to-list-alist

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: sds@HIDDEN; Keywords: moreinfo; dated Tue, 23 Nov 2021 16:43:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52061 <at> debbugs.gnu.org:


Received: (at 52061) by debbugs.gnu.org; 25 Nov 2021 11:47:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 25 06:47:12 2021
Received: from localhost ([127.0.0.1]:56061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mqDDY-0002ir-Gw
	for submit <at> debbugs.gnu.org; Thu, 25 Nov 2021 06:47:12 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mqDDU-0002iJ-Qh
 for 52061 <at> debbugs.gnu.org; Thu, 25 Nov 2021 06:47:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=NUNwivanv2IDAVQETYhDl7r72T5Nj7izYlLuNcfuaog=; b=P+8+UVXAL5eyEv+LyBfHvlSGv2
 ome1inpzpQ03Vn+Y8/8yn1jeTf9/7gx6tn6GX5N1XMWpuS17p+UoK+DFax4UkYutlEous8Cnjc6tm
 MpcrqdNdO3sZs+MpSvBDsVg59fHWAVEB1V7z/4jOHkwdb7hH+vV8B/wNfprKMm4diiY0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mqDDL-0003B1-5h; Thu, 25 Nov 2021 12:46:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Steingold <sds@HIDDEN>
Subject: Re: bug#52061: 29.0.50; gnus seems to ignore
 gnus-parameter-to-list-alist
References: <lzmtluq0xp.fsf@HIDDEN>
X-Now-Playing: Fairport Convention's _Come All Ye (5)_: "Sloth"
Date: Thu, 25 Nov 2021 12:46:54 +0100
In-Reply-To: <lzmtluq0xp.fsf@HIDDEN> (Steingold's message
 of "Tue, 23 Nov 2021 11:41:38 -0500")
Message-ID: <878rxch2z5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Steingold <sds@HIDDEN> writes: > I read the ACM RISKS Forum
 as gmane.comp.security.risks newsgroup. > > When I try to reply, my message
 composition buffer contains > > Newsgroups: gmane.comp.security.risks > >
 despite `gnus-paramet [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52061
Cc: 52061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Steingold <sds@HIDDEN> writes:

> I read the ACM RISKS Forum as gmane.comp.security.risks newsgroup.
>
> When I try to reply, my message composition buffer contains
>
> Newsgroups: gmane.comp.security.risks
>
> despite `gnus-parameter-to-list-alist` containing
>
>      ("gmane.comp.security.risks" "risks@HIDDEN")
>
> and when I hit C-c C-c to sent, I get
>
> Sending...
> Sending news via news.gmane.io using nntp...
> 441 gmane.comp.security.risks is read-only=20
> Couldn=E2=80=99t send message via news: 441 gmane.comp.security.risks is =
read-only=20

[...]

> This address will be used when doing a `a' in the group.
>
> It is totally ignored when doing a followup--except that if it is
> present in a news group, you'll get mail group semantics when doing
> `f'.

I now understand what this bit means: It means that if the setting is
present, `f' will work the same way that `S v' works.

And that's what happens when I try this in
nntp+news.gmane.io:gmane.comp.security.risks.  `f' gives me a *Message*
buffer that contains:

To: RISKS List Owner <risko@HIDDEN>
Cc: risks-resend@HIDDEN

So I'm unable to reproduce this problem in Emacs 29.

You haven't rebound the `f' command in gnus-summary-mode or anything?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52061; Package emacs. Full text available.

Message received at 52061 <at> debbugs.gnu.org:


Received: (at 52061) by debbugs.gnu.org; 24 Nov 2021 16:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 11:50:36 2021
Received: from localhost ([127.0.0.1]:54818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpvTY-0000kt-FW
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 11:50:36 -0500
Received: from mail-qt1-f180.google.com ([209.85.160.180]:38513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1mpvTU-0000kg-QI
 for 52061 <at> debbugs.gnu.org; Wed, 24 Nov 2021 11:50:26 -0500
Received: by mail-qt1-f180.google.com with SMTP id 8so3255963qtx.5
 for <52061 <at> debbugs.gnu.org>; Wed, 24 Nov 2021 08:50:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:cc:subject:in-reply-to:references:user-agent
 :return-receipt-to:reply-to:date:message-id:mime-version;
 bh=NHS99RBmar8llurYsb6pUONVH0LeMZQy73A0uz51zxo=;
 b=FX8xnCeSQlpTouGXBPy9Hia0kRcC8+eu1pKdl3IMJSrMEqAxZqD5HXkNzcUNrzMJdm
 FC3p2SUP0gGcsiXs1BSCM8vkk48FjhrxqixsNZNbi9Hirx14CURBtG7huWgRLHnaTd3A
 ChNl8EFLUX9qhiYQJWT/l8EYNMo2Etf9O4ddKypOJrOKDs7v8RFGbO9naa9CkEa+pVqv
 8wor57XZPHulQucFKKpXJUaz55W3TEOa85YiMQhSF+hh4rXk87s8TBaf6m9wTE7xf4AT
 h/A0O3B23UD7rWNHnr7e4IucVPm+KMyrphy1boKkS5Qy8YpvgdO9X/cYDOuHC1nX++Ip
 qvXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:cc:subject:in-reply-to:references
 :user-agent:return-receipt-to:reply-to:date:message-id:mime-version;
 bh=NHS99RBmar8llurYsb6pUONVH0LeMZQy73A0uz51zxo=;
 b=oeBGs32gds2otLJxH3Qiwo9j4d4Beibwd/18X0rZ5r51+tlPugB7+eDEK1+QYhSE3A
 WaoRODf3qJjVdT2sdq0ZROf+XVFS3mJVCmGupi5huVyIQppAWxV/eTG1YZvryM56R7PD
 LDVg/xPmA9Byuu24yFw9BieVtPntOYyjsPTE5PUfdTjVxH1PNe2djuqSNkKyva0Ieovh
 NQLwanhK9dIKKQyDujcXKzvfyOCWyIbvlaompkCnxCY8eEzBTW0yJHFXad/dODgRbEV2
 0AwM/Ak1jtzp7GpT1hkxGL9WM0TnVAarG2r9LvEIYJlp9pcG+MQjv5DpRJivhFn/nF61
 /e/g==
X-Gm-Message-State: AOAM530+3e/CQyk462uXG14uKee9x1TNBOc5xZQ4EUI3FWPfkAa9hg9+
 9wVdP4/F+QOcKhVEEX4Bcg==
X-Google-Smtp-Source: ABdhPJyeOL/TB2xlP58zF0ay74qoHT/0kueAabEWSxWXg5o9hzb2ZFnEP3VZ3NGGGMncyo435ipqRg==
X-Received: by 2002:a05:622a:1351:: with SMTP id
 w17mr8847333qtk.276.1637772619022; 
 Wed, 24 Nov 2021 08:50:19 -0800 (PST)
Received: from 3c22fb11fdab.ant.amazon.com
 (pool-108-30-23-113.nycmny.fios.verizon.net. [108.30.23.113])
 by smtp.gmail.com with ESMTPSA id bq36sm131047qkb.6.2021.11.24.08.50.17
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 24 Nov 2021 08:50:18 -0800 (PST)
From: Steingold <sds@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52061: 29.0.50; gnus seems to ignore
 gnus-parameter-to-list-alist
In-Reply-To: <87tug2uhef.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 24 Nov 2021 08:44:40 +0100")
References: <lzmtluq0xp.fsf@HIDDEN>
 <87tug2uhef.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (darwin)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Wed, 24 Nov 2021 11:50:17 -0500
Message-ID: <lzilwhpkfq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 52061
Cc: 52061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

> * Lars Ingebrigtsen <ynefv@HIDDEN> [2021-11-24 08:44:40 +0100]:
>
> Steingold <sds@HIDDEN> writes:
>
>> I read the ACM RISKS Forum as gmane.comp.security.risks newsgroup.
>>
>> When I try to reply, my message composition buffer contains
>>
>> Newsgroups: gmane.comp.security.risks
>>
>> despite `gnus-parameter-to-list-alist` containing
>>
>>      ("gmane.comp.security.risks" "risks@HIDDEN")
>>
>> and when I hit C-c C-c to sent, I get
>
> The help here says:
>
> ---
> (gnus-define-group-parameter
>  to-list
>  :function-document
>  "Return GROUP's to-list."
>  :variable-document
>  "*Alist of group regexps and correspondent to-lists."
>  :variable-group gnus-group-parameter
>  :parameter-type '(gnus-email-address :tag "To List")
>  :parameter-document "\
> This address will be used when doing a `a' in the group.
>
> It is totally ignored when doing a followup--except that if it is
> present in a news group, you'll get mail group semantics when doing
> `f'.

hmmm, so how do I tell gnus to use mail semantics for followup?

> Which is pretty confusing.  Hm.

Moreover, I have been using `gnus-parameter-to-list-alist' for 10+
years, and I am pretty sure it used to work, say, 5(?) years ago.

> When you say you reply, do you mean the `f' command?

Yep.

Thank you!

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1894
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://honestreporting.com https://jij.org https://thereligionofpeace.com
If you do not move, you will not feel the shackles.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52061; Package emacs. Full text available.

Message received at 52061 <at> debbugs.gnu.org:


Received: (at 52061) by debbugs.gnu.org; 24 Nov 2021 07:44:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 02:44:54 2021
Received: from localhost ([127.0.0.1]:52939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpmxZ-0000rd-W6
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 02:44:54 -0500
Received: from quimby.gnus.org ([95.216.78.240]:54282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mpmxY-0000rO-1e
 for 52061 <at> debbugs.gnu.org; Wed, 24 Nov 2021 02:44:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=R+2FjkbFqeG5fHhcMt98a/F6i2bhMj+fLn6AuNWFBkc=; b=iM7RnCCLvxlRtkX9j7FxUMJfoD
 G3OYYWN2bS9lyW7qFuIoRqUIZZvyT/ljmuvP/2muL+K61bIozHN4Bb58D+bHMSYvCSWsQlISzXDNw
 oFV+xReyihFNXZPuFyy3JgCY0azPB9Y6goYC7/T2ka+RJ05bLU29ouGgJbHi88/Qh9QQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mpmxO-0007hy-UM; Wed, 24 Nov 2021 08:44:45 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Steingold <sds@HIDDEN>
Subject: Re: bug#52061: 29.0.50; gnus seems to ignore
 gnus-parameter-to-list-alist
References: <lzmtluq0xp.fsf@HIDDEN>
X-Now-Playing: Irreversible Entanglements's _Open The Gates_:
 =?utf-8?Q?=22L=C3=A1grimas?= Del Mar"
Date: Wed, 24 Nov 2021 08:44:40 +0100
In-Reply-To: <lzmtluq0xp.fsf@HIDDEN> (Steingold's message
 of "Tue, 23 Nov 2021 11:41:38 -0500")
Message-ID: <87tug2uhef.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Steingold <sds@HIDDEN> writes: > I read the ACM RISKS Forum
 as gmane.comp.security.risks newsgroup. > > When I try to reply, my message
 composition buffer contains > > Newsgroups: gmane.comp.security.risks > >
 despite `gnus-paramet [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52061
Cc: 52061 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Steingold <sds@HIDDEN> writes:

> I read the ACM RISKS Forum as gmane.comp.security.risks newsgroup.
>
> When I try to reply, my message composition buffer contains
>
> Newsgroups: gmane.comp.security.risks
>
> despite `gnus-parameter-to-list-alist` containing
>
>      ("gmane.comp.security.risks" "risks@HIDDEN")
>
> and when I hit C-c C-c to sent, I get

The help here says:

---
(gnus-define-group-parameter
 to-list
 :function-document
 "Return GROUP's to-list."
 :variable-document
 "*Alist of group regexps and correspondent to-lists."
 :variable-group gnus-group-parameter
 :parameter-type '(gnus-email-address :tag "To List")
 :parameter-document "\
This address will be used when doing a `a' in the group.

It is totally ignored when doing a followup--except that if it is
present in a news group, you'll get mail group semantics when doing
`f'.
---

Which is pretty confusing.  Hm.

When you say you reply, do you mean the `f' command?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52061; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2021 16:42:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 23 11:42:01 2021
Received: from localhost ([127.0.0.1]:52143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpYrh-0000Hq-0u
	for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 11:42:01 -0500
Received: from lists.gnu.org ([209.51.188.17]:42438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1mpYra-0000Hc-VO
 for submit <at> debbugs.gnu.org; Tue, 23 Nov 2021 11:41:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35806)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sam.steingold@HIDDEN>)
 id 1mpYra-0005aN-Le
 for bug-gnu-emacs@HIDDEN; Tue, 23 Nov 2021 11:41:46 -0500
Received: from [2607:f8b0:4864:20::f33] (port=42726
 helo=mail-qv1-xf33.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <sam.steingold@HIDDEN>)
 id 1mpYrX-0004vh-BP; Tue, 23 Nov 2021 11:41:46 -0500
Received: by mail-qv1-xf33.google.com with SMTP id b17so15376463qvl.9;
 Tue, 23 Nov 2021 08:41:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:from:to:subject:user-agent:return-receipt-to:reply-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=uspmFExQXomfDHHmEgrXbRa0agAjSRi0o7C9CQLIRgQ=;
 b=b7I+Js8hPnL7/Evb1dqRxvJl42D5YnVqXgEFFGkhPDE0pKMiBiOTaj2nbhS6fWws0C
 YMgpA0wsKQXpXv1BmSUUUx3WivkbQSJprGAzkhhOAJ+OcDXuIpY0NXeBwMXit3hZEuaS
 KCQV/cMaiW5cAL4wS0Qh5159gJxpogRGmmP5hjhYE03AybKp1kpF1QdXqz8m+5WdWtko
 C6pYObI4BvsN1AzFJKEU6ZpzUzIa6q0MPNb+sUexc4xoEaMGmyi+zNufKM0PDFlW3Q4M
 6nXi7zcMFpvygKau358uaBKk3WXNVMxRvLBn4CDmvATn5pH49xs4GmTcebt0AlimjJAA
 A4Zg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:from:to:subject:user-agent
 :return-receipt-to:reply-to:date:message-id:mime-version
 :content-transfer-encoding;
 bh=uspmFExQXomfDHHmEgrXbRa0agAjSRi0o7C9CQLIRgQ=;
 b=R+THeXBpKGtx9iwfcY85EagEbpV2VpX/HlRtdRqbxxzLCsT9LYRPKu6Wqj85uZagU2
 HeD6ZJIVeE9E0k3VjWf3ZHSl1im1fsg9RuvRxqHSGkkb+gAai8R4sap7h81rpXfYx1DZ
 SmVzrU5A9lkXc/jWYxi8i5kkAogZnn9O5eUSepI27uh+6MHshGWKGuB160aPSdKDafjP
 BwuQ+37HAHwn9RiBcLi5LRgEPQWoP+EB2W4hV7nLTQFSpht7qLOAm+896lPuW+9bOHv5
 cw8vO8VmbW55R8yh/KHfIPsDOVKirPoMe667cHQwmEZW8yrUyNMS0Dtg+tvyodpqGLA1
 eIPg==
X-Gm-Message-State: AOAM533f+tL0mw3axLqk9qZAl4D9YElKrUXlqgCccqrBS8lZcCS8XyBr
 XNzUykVhvkzmLa5TQW/NgJqAdZCtgw==
X-Google-Smtp-Source: ABdhPJzXH7x4hLeUvSI8VE7t/mN9CbGkDmvGqtn9KJFBDXmJpFXy6++8Q/P2bAuPpwFgfqQcR0iNmQ==
X-Received: by 2002:a05:6214:5002:: with SMTP id
 jo2mr7858976qvb.27.1637685699125; 
 Tue, 23 Nov 2021 08:41:39 -0800 (PST)
Received: from 3c22fb11fdab.ant.amazon.com
 (pool-108-30-23-113.nycmny.fios.verizon.net. [108.30.23.113])
 by smtp.gmail.com with ESMTPSA id k23sm6150597qtm.49.2021.11.23.08.41.38
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 23 Nov 2021 08:41:38 -0800 (PST)
From: Steingold <sds@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; gnus seems to ignore gnus-parameter-to-list-alist
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (darwin)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Tue, 23 Nov 2021 11:41:38 -0500
Message-ID: <lzmtluq0xp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::f33
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::f33;
 envelope-from=sam.steingold@HIDDEN; helo=mail-qv1-xf33.google.com
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.249,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.248,
 PDS_HP_HELO_NORDNS=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I read the ACM RISKS Forum as gmane.comp.security.risks
 newsgroup. When I try to reply,
 my message composition buffer contains --8<cut herestart>8---
 Newsgroups: gmane.comp.security.risks --8<cut hereend>8--- 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sam.steingold[at]gmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 1.3 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

I read the ACM RISKS Forum as gmane.comp.security.risks newsgroup.

When I try to reply, my message composition buffer contains

--8<---------------cut here---------------start------------->8---
Newsgroups: gmane.comp.security.risks
--8<---------------cut here---------------end--------------->8---

despite `gnus-parameter-to-list-alist` containing

--8<---------------cut here---------------start------------->8---
     ("gmane.comp.security.risks" "risks@HIDDEN")
--8<---------------cut here---------------end--------------->8---

and when I hit C-c C-c to sent, I get

--8<---------------cut here---------------start------------->8---
Sending...
Sending news via news.gmane.io using nntp...
441 gmane.comp.security.risks is read-only=20
Couldn=E2=80=99t send message via news: 441 gmane.comp.security.risks is re=
ad-only=20
--8<---------------cut here---------------end--------------->8---




In GNU Emacs 29.0.50 (build 3, x86_64-apple-darwin19.6.0, NS appkit-1894.60=
 Version 10.15.7 (Build 19H1519))
 of 2021-11-22 built on 3c22fb11fdab.ant.amazon.com
Repository revision: d737bfe911fc46f520fece46dfc930561272ab8d
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured using:
 'configure --with-imagemagick --with-mailutils --with-ns
 PKG_CONFIG_PATH=3D/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/imag=
emagick/lib/pkgconfig:/usr/local/opt/gnutls/lib/pkgconfig:/usr/local/opt/ja=
nsson/lib/pkgconfig:/usr/local/opt/libtiff/lib/pkgconfig:/usr/local/opt/lib=
png/lib/pkgconfig:/usr/local/opt/libjpeg/lib/pkgconfig:/usr/local/opt/freet=
ype/lib/pkgconfig'

Configured features:
ACL GIF GMP GNUTLS IMAGEMAGICK JPEG JSON LCMS2 LIBXML2 MODULES NOTIFY
KQUEUE NS PDUMPER PNG THREADS TIFF TOOLKIT_SCROLL_BARS WEBP ZLIB

Important settings:
  value of $LANG: C
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  pyvenv-mode: t
  shell-dirtrack-mode: t
  global-edit-server-edit-mode: t
  winner-mode: t
  which-function-mode: t
  url-handler-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow emacsbug canlock rot13 bbdb-message mailalias sendmail cookie1
nndoc flow-fill sort smiley gnus-cite mm-archive gnus-bcklg gnus-async
gnus-dup mail-extr gnus-ml hl-line disp-table spam spam-stat gnus-uu
yenc nndraft nnmh gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg utf-7 gnus-cache bbdb-gnus gnutls network-stream nntp cal-move
url-http url-auth url-gw nsm ein-jupyter ein-dev ein-notebook
ein-python-send ein-traceback ein-pytools ein-pager ein-completer
ein-notification ein-scratchsheet ein-worksheet poly-ein
display-line-numbers quail polymode poly-lock polymode-base
polymode-weave polymode-export polymode-compat polymode-methods
polymode-core polymode-classes eieio-custom eieio-base color
ein-kill-ring ein-cell ein-shared-output ein-output-area ein-kernelinfo
ein-kernel ein-ipdb ein-events ein-websocket websocket bindat ein-file
ein-node ein-notebooklist ein-contents-api ein-query ein-log ein-classes
ein-core request autorevert filenotify anaphora ein-utils deferred dash
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs ein cl-print debug backtrace log-edit pcvs-util
smerge-mode diff dabbrev misearch multi-isearch skeleton latexenc
tramp-cmds bug-reference shortdoc add-log vc-hg vc-bzr tramp-cache
remember vc-dir ewoc vc tex-mode dired-aux flyspell ispell org-element
avl-tree ol-eww eww xdg url-queue mm-url ol-rmail ol-mhe ol-irc ol-info
ol-gnus nnselect gnus-search eieio-opt speedbar ezimage dframe gnus-art
mm-uu mml2015 mm-view mml-smime smime dig gnus-sum shr kinsoku svg dom
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util gnus-group gnus-undo gnus-start gnus-dbus
dbus xml gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo gnus-spec
gnus-int gnus-range message mailcap yank-media rmc puny rfc822 mml
mml-sec epa derived epg rfc6068 epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 gmm-utils mailheader gnus-win ol-docview doc-view
jka-compr image-mode exif dired dired-loaddefs ol-bibtex ol-bbdb ol-w3m
ol-doi org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete org-list
org-faces org-entities noutline outline org-version ob-emacs-lisp
ob-core ob-eval org-table oc-basic bibtex ol rx org-keys oc org-compat
org-macs org-loaddefs find-func cal-x view cal-china cal-bahai cal-islam
holidays hol-loaddefs bbdb-anniv cal-iso cal-hebrew lunar cal-julian
solar cal-dst appt diary-lib diary-loaddefs cal-menu calendar
cal-loaddefs company-oddmuse company-keywords company-etags
company-gtags company-dabbrev-code company-dabbrev company-files
company-clang company-template company-cmake company-bbdb
yasnippet-snippets cl-extra yasnippet flymake-proc flymake thingatpt
company-capf company pcase help-fns radix-tree help-mode elpy elpy-rpc
pyvenv eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module
esh-groups esh-util elpy-shell elpy-profile elpy-django s elpy-refactor
ido grep compile etags fileloop generator xref project cus-edit pp
cus-start python tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell pcomplete parse-time
iso8601 ls-lisp format-spec comint ansi-color vc-git diff-mode
easy-mmode vc-dispatcher midnight warnings gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search time-date
mail-utils mm-util mail-prsvr wid-edit bbdb-mua bbdb-com crm mailabbrev
bbdb bbdb-site timezone edit-server advice server winner ring which-func
imenu url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map seq gv subr-x byte-opt bytecomp
byte-compile cconv url-vars help-at-pt desktop frameset cl-loaddefs
cl-lib cus-load info iso-transl tooltip eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads kqueue cocoa ns lcms2
multi-tty make-network-process emacs)

Memory information:
((conses 16 849736 124436)
 (symbols 48 39465 6)
 (strings 32 259540 31488)
 (string-bytes 1 8302759)
 (vectors 16 112646)
 (vector-slots 8 2371991 157271)
 (floats 8 1157 688)
 (intervals 56 17151 4492)
 (buffers 992 86))

--=20
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1894
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.=
com
https://ffii.org https://camera.org https://jij.org https://honestreporting=
.com
The software said it requires Windows 3.1 or better, so I installed Linux.




Acknowledgement sent to sds@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52061; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 25 Nov 2021 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.